Subject: [TR] head gasket

From: "Jim Vassiliadis" <[email-masked]>
Date: Tue, 3 Sep 2013 06:42:45 +1200

Thankyou for the replies.
Magic just what I wanted to hear, I don't have to tear down again.
Although I'm putting the little guy back together myself, the body work is
being farmed out to someone else.
I normally do everything myself but am busy trying to start up my fruitee
sodas venture.
I've found someone who charges a reasonable NZ$45 plus tax and will get him
to do a bit and see how it turns out.
I'm looking forward to driving him again.
 
Jim.

** [email-masked] **

Archive: http://www.team.net/archive